<Type Name="ICertificatePolicy" FullName="System.Net.ICertificatePolicy">
  <TypeSignature Language="C#" Value="public abstract interface ICertificatePolicy;" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base />
  <Interfaces />
  <Attributes />
  <Members>
    <Member MemberName="CheckValidationResult">
      <MemberSignature Language="C#" Value="public virtual bool CheckValidationResult (ServicePoint srvPoint, Security.Cryptography.X509Certificates.X509Certificate certificate, WebRequest request, int certificateProblem);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="srvPoint" Type="System.Net.ServicePoint" />
		<Parameter Name="certificate" Type="System.Security.Cryptography.X509Certificates.X509Certificate" />
		<Parameter Name="request" Type="System.Net.WebRequest" />
		<Parameter Name="certificateProblem" Type="System.Int32" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="srvPoint">To be added: an object of type 'ServicePoint'</param>
        <param name="certificate">To be added: an object of type 'Security.Cryptography.X509Certificates.X509Certificate'</param>
        <param name="request">To be added: an object of type 'WebRequest'</param>
        <param name="certificateProblem">To be added: an object of type 'int'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
